Subject: RE: [XCON] Comment on floor control requirements

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Sun, 16 Nov 2003 21:25:20 -0000

Firstly, maybe the word queue seems to be loaded with preconceptions tht were not intended. After discussion with Jorg Ott maybe a better word may be set. I am not trying to imply any sort of ordering, except that which already exists in the requirements for there to be some sort of next in line.

The main thing I want to see is that the requirements become clearer by specifying that participants requesting the floor end up in this "set". Apart from that certain of the existing requirements do appear to relate to manipulating this set. It would also appear to be appropriate that we have a requirement for clearing the entire set of participants waiting for the floor, e.g. when the floor chair determines a change of subject.

regards

Keith

> -----Original Message-----
> From: Marcus Brunner [mailto:[email-masked]]
> Sent: 11 November 2003 23:55
> To: Drage, Keith (Keith)
> Cc: [email-masked]
> Subject: RE: [XCON] Comment on floor control requirements
> 
> 
> keith,
> 
> the queue might exist for some floor control policies (e.g. 
> for what i 
> called the ietf model). What are the things you want to say about the 
> queue? Except to distribute for example the size and on what 
> position a 
> certain participant is sitting.
> 
> Marcus
> 
> 
> 
> --On Tuesday, November 11, 2003 11:38 PM +0000 "Drage, Keith (Keith)" 
> <[email-masked]> wrote:
> 
> > So firstly you do admit that the queue exists (when the 
> number of people
> > requesting the floor exceeds the number allowed to hold the 
> floor. So I
> > believe we can define the queue so that we can say meaningful things
> > about it.
> >
> > I also believe we can at least document the impact of existing
> > requirements on the queue, e.g. if someone requests the 
> floor, they are
> > added to the queue until the floor chair grants the request 
> - that after
> > all is just documenting what already implicitly exists in 
> the document.
> >
> > The question I guess we may well differ is as to what is 
> implementation
> > specific, and what is actually defined in future protocol 
> specifications
> > as a result of requirements made in the requirements draft. I guess
> > partly that depends on where the queue is held in relation 
> to the floor
> > chair. If it is in the local entity to the floor chair, then any
> > requirements on the manipulation of the queue by the floor 
> chair could be
> > implementation specific. Any action by participants to see 
> or modify the
> > queue would have to be defined.
> >
> > However, I am not convinced that we are yet at the stage 
> where we can
> > agree that the queue is in the local entity to the floor 
> chair, and maybe
> > we should have some discussion about that. My input to that 
> would be that
> > in the wireless world, we are interested in minimising the 
> bits on the
> > air interface, and if centralising the queue reduces the 
> protocol load,
> > then we would certainly want to consider it. There is already a
> > requirement in the requirements draft to take account of 
> this impact.
> >
> > Certainly if they are in separate entities, we need 
> requirements that
> > cover the eventual protocol that must exist between the 
> floor chair and
> > queue, and it would be useful to also identify what of those exist.
> >
> > regards
> >
> > Keith
> >
> > Keith Drage
> > Lucent Technologies
> > [email-masked]
> > tel: +44 1793 776249
> >
> >> -----Original Message-----
> >> From: Marcus Brunner [mailto:[email-masked]]
> >> Sent: 11 November 2003 16:16
> >> To: Drage, Keith (Keith)
> >> Cc: [email-masked]
> >> Subject: Re: [XCON] Comment on floor control requirements
> >>
> >>
> >> keith,
> >>
> >>
> >> > It would appear to me that this queuing needs to be more 
> extensively
> >> > discussed in the above requirements document.
> >> >
> >>
> >> I think there should not be any restrictions on what queuing
> >> is needed. The
> >> mechanisms to be standardized should be free of any of these
> >> assumtions.
> >>
> >> > Firstly REQ-11 implies that the queue is first in, first 
> out (and I
> >> > stress that this is an implication), whereas in real life
> >> certain users
> >> > may preempt others in the queue.
> >> >
> >> > Secondly it would appear to be appropriate to have
> >> requirements for the
> >> > floor control chair to have requirements for manipulating
> >> the queue, e.g.
> >> > to designate the order of obtaining the floor, to clear the
> >> queue and so
> >> > on.
> >> >
> >>
> >> I assume this to be implementation specific.
> >>
> >> > Additionally, perhaps other participants may also require
> >> visibility of
> >> > the queue.
> >> >
> >>
> >> that is good point, In draft-brunner I called it state 
> awareness (so
> >> participants should be able to get information about the
> >> current state of
> >> the floor control mechnisms including also the queue state.
> >>
> >> > My proposal would therefore to update the draft to
> >> explicitly define this
> >> > queue concept, and then to revise the requirements to reflect the
> >> > existence of the queue, and add requirements for the
> >> manipulation of the
> >> > queue.
> >> >
> >>
> >> I oppose, this is really implementation/application specific
> >> and should not
> >> influence the design of the mechnism.
> >>
> >> Marcus
> >>
> >> > regards
> >> >
> >> > Keith
> >> >
> >> > Keith Drage
> >> > Lucent Technologies
> >> > [email-masked]
> >> > tel: +44 1793 776249
> >> >
> >> > _______________________________________________
> >> > XCON mailing list
> >> > [email-masked]
> >> > https://www1.ietf.org/mailman/listinfo/xcon
> >>
> >>
> >>
> >> --------------------------------------
> >> Dr. Marcus Brunner
> >> Network Laboratories
> >> NEC Europe Ltd.
> >>
> >> E-Mail: [email-masked]
> >> WWW:    http://www.ccrle.nec.de/
> >> Phone: +49 (0) 6221 905 11 29
> >> Mobile: +49 (0) 163 275 17 43
> >> personal home page: http://www.brubers.org/marcus
> >>
> >>
> 
> 
> 
> --------------------------------------
> Dr. Marcus Brunner
> Network Laboratories
> NEC Europe Ltd.
> 
> E-Mail: [email-masked]
> WWW:    http://www.ccrle.nec.de/
> Phone: +49 (0) 6221 905 11 29
> Mobile: +49 (0) 163 275 17 43
> personal home page: http://www.brubers.org/marcus
> 
> 

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon